Skip to main content
GET
/
ai-agents
/
agent-builder
/
agents
/
{uid}
Get Agent
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{uid} \
  --header 'apikey: <api-key>'
{
  "uid": "agent-uuid-1234",
  "appId": "my-app-id",
  "name": "Support Agent",
  "icon": "https://example.com/icon.png",
  "isActive": true,
  "description": "A helpful support agent",
  "tools": [
    "gmail"
  ],
  "files": [],
  "websites": [],
  "otherKbIntegrations": [],
  "apiTools": [],
  "mcpServers": [],
  "frontendActions": [],
  "ragVersion": "v2",
  "lastMessageAt": null,
  "instruction": "You are a helpful assistant",
  "formattedInstruction": "You are a helpful assistant",
  "metaData": {},
  "model": "gpt-4o-mini",
  "modelMetaData": {},
  "createdAt": 1700000000000,
  "updatedAt": 1700000000000
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-android-v6-beta2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key (i.e. Rest API Key from the Dashboard).

Path Parameters

uid
string
required

Unique identifier of the agent

Response

200 - application/json

Agent details

uid
string
Example:

"agent-uuid-1234"

appId
string
Example:

"my-app-id"

name
string
Example:

"Support Agent"

icon
string
Example:

"https://example.com/icon.png"

isActive
boolean
Example:

true

description
string
Example:

"A helpful support agent"

tools
string[]
Example:
["gmail", "slack"]
files
string[]
Example:
[]
websites
string[]
Example:
[]
otherKbIntegrations
string[]
Example:
[]
apiTools
string[]
Example:
[]
mcpServers
string[]
Example:
[]
frontendActions
string[]
Example:
[]
ragVersion
enum<string>
Available options:
v1,
v2
Example:

"v2"

lastMessageAt
number | null
Example:

1700000000000

instruction
string
Example:

"You are a helpful assistant"

formattedInstruction
string
Example:

"You are a helpful assistant"

metaData
object
Example:
{}
model
string
Example:

"gpt-4o-mini"

modelMetaData
object
Example:
{}
createdAt
number
Example:

1700000000000

updatedAt
number
Example:

1700000000000